Subject: Re: gunzip question
From: [email-masked] (Jim Balter)

22 Mar 1997 00:03:09 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Trey Jackson <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Trey Jackson wrote:
> 
> Read the FAQ, read the online mailing list archive,
> still no answer, so am sending my question here.
> 
> I've got b17, which includes:
> 
>    GUNZIP.EXE 1.2.4 (18 Aug 93)
>    Compilation options:
>    DIRENT UTIME STDC_HEADERS HAVE_UNISTD_H ASMV
> 
> gunzip's default behavior is to *compress* and not
> decompress.  May I ask why?  And how do I change this
> so that I do not have to type:
> 
>    gunzip -d <file>
> 
> every time I want to uncompress something.
> 
> e.g. This is what I encounter:
> 
>    C:\cygnus\H-i386-cygwin32\bin>gunzip resume.txt.gz
>    GUNZIP.EXE: resume.txt.gz already has .gz suffix -- unchanged

Subtle.  What command processor are you using?  For some reason it is
passing the command name as "GUNZIP.EXE" instead of "gunzip",
but the comparison that decides how the program was invoked
is case sensitive.  It is also possible that you have an alias, or are
invoking a batch file, or some version other than the cygwin version.
Check your path. 

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".